#!/bin/sh

# OpenVAS module "openvas-lsc-target-preparation", create-rpm.sh
# $Id$
# Description: shellscript to create a rpm package
#
# Authors:
# Jochen Plumeyer <jochen@plumeyer.de>
# Jan-Oliver Wagner <jan-oliver.wagner@intevation.de>
#
# Copyright:
# Copyright (C) 2009 Intevation GmbH
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#

#set -x

# We expect to be called like
#   ./create-rpm.sh MyPathToKeyFile.pub

PubkeyFile=

if [ $# = 1 ];
then
  PubkeyFile=$1
else
  echo 'Please provide path to public key file as first argument.'
  exit 1
fi

mkdir -p rpmtmp

cp -f $PubkeyFile lsc-pubkey.pub
RpmPrefix="openvas-lsc-target"
BasenamePubkeyFile=`basename $PubkeyFile .pub`
RpmPostfix=`echo $BasenamePubkeyFile | sed 's/id_rsa_//'`
Version=`cat VERSION`
TopDir=`pwd`
echo $RpmPostfix > PUBKEYNAME
RpmName=$RpmPrefix-$RpmPostfix
sed    "s|@RpmName@|$RpmName|g" < openvas-lsc-target.spec.in > openvas-lsc-target.spec
sed -i "s|@PubkeyBasename@|$RpmPostfix|g" openvas-lsc-target.spec
sed -i "s|@VERSION@|$Version|g" openvas-lsc-target.spec
sed -i "s|@TOPDIR@|$TopDir|g" openvas-lsc-target.spec

  # ... install $PubkeyFile as a file which installs temporarily as
  # target-user-visible $PubkeyRPMPayload on the target machine

make configure

RPM_SOURCE_DIR=. rpmbuild -bb --target noarch "$RpmPrefix".spec

# Script code for client machine is in %post of openvas-lsc-target.spec.in

# We do not clean up. If its required ('blubber'), use:
#  cp RPMS/noarch/*.rpm ..
#  pwd=`pwd`
#  if [ `basename $pwd` = "blubber" ]
#  then
#  	rm -rf `pwd`

cp RPMS/noarch/*.rpm  .


#vim: set tw=70
